Bug 88585 - pcmcia driver ide-cs fails to work when upgrading to RH9
Summary: pcmcia driver ide-cs fails to work when upgrading to RH9
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: 80584
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-11 04:22 UTC by Burt alexander
Modified: 2015-01-04 22:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 04:31:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Burt alexander 2003-04-11 04:22:19 UTC
Reference:

Service Request: 233160, Philip Morales

Description of problem:

ide-cs pcmcia module no longer works with my IO DATA CBIDE2 card / Sony CRX85a
cd burner with either my 2.4.20 kernel or the RH 2.4.20-8 kernel.  I upgraded
from RH 7.3 to 8 w/o any such issues and was using the 2.4.20 kernel with RH 8
sucessfully.  Also, when booting my kernel, none of the pcmcia modules load
automatically.

Version-Release number of selected component (if applicable):

Redhat 9


How reproducible:

Symptoms appear on booting.


Steps to Reproduce:

1.Boot
2.Load pcmcia modules manually if using my 2.4.20 kernel
3.Insert card - one high, one low beep; error message - ide-cs: GetNextTuple: No
more items
    
Actual results:

Burner card isn't recognized


Expected results:

Burner card should be recognized

Comment 1 Burt alexander 2003-04-12 00:47:01 UTC
Workaround:

replace kernel-pcmcia-cs-3.1.31-13 (from RH9) with kernel-pcmcia-cs-3.1.31-9
(from RH8)-> rpm -Uvh --force kernel-pcmcia-cs-3.1.31-9.rpm.  PCMCIA modules now
load on boot, and the burner is recognized.  Definate problem with RH9
kernel-pcmcia-cs package.

Comment 2 Christopher Wong 2003-07-23 16:39:38 UTC
I have seen the same problem on a Sony VAIO PCG-531A and a PCGA-DVD51/A DVD-ROM. 
Red Hat sees a Ricoh RL5c475 CardBus bridge. I saw the same symptoms, and the 
same workaround (kernel-pcmcia-cs from RH8) worked for me. The funny thing is, I 
installed RH9 using that same DVD-ROM: the install CD booted up and installed 
fine on that drive. But I could not use the DVD drive when I booted the newly 
installed RH9 from the hard disk.


Note You need to log in before you can comment on or make changes to this bug.